program test_units_pass

use units, only: si_length   => unit_p10_p00_p00_p00, &
                 si_time     => unit_p00_p00_p10_p00, &
                 si_velocity => unit_p10_p00_m10_p00
implicit none

type(si_length)   :: x
type(si_time)     :: t
type(si_velocity) :: v

x%v = 1.0
t%v = 1.0

v = x / t

print *, v

end program test_units_pass
